kwiecień 2023

nd pn wt śr czw pt sob
            1
2 3 4 5 6 7 8
9 10 11 12 13 14 15
16 17 18 19 20 21 22
23 24 25 26 27 28 29
30            

« Forum Autodesk 2012 – Wyznaczaj Kierunki | Main | Mesh Enabler dla Autodesk Inventor »

24 październik 2012

Comments

Feed You can follow this conversation by subscribing to the comment feed for this post.

Michał

Czy jest możliwa zmiana sugerowanej nazwy zapisu pliku idw z nazey modelu na np. numer części modelu

Przemyslaw Sokolowski

Bazując na kodzie z prezentacji można to zrobić tak jak poniżej. (zakładam, że na rysunku jest tylko jeden arkusz)

Arkusz=ThisDrawing.Document.Sheets.Item(1)
PNazwa=Arkusz.DrawingViews.Item(1).ReferencedFile.FullFileName

Pozycja=InStrRev(PNazwa,"\", -1)
NazwaModelu=Right(PNazwa,Len(PNazwa)-Pozycja)

NumerCzesci=iProperties.Value(NazwaModelu, "Project", "Part Number")

Plik=ThisDoc.Path & "\" & NumerCzesci & ".idw"

ThisDoc.Document.SaveAs(Plik, True)

Michał

Dziękuje za zainteresowanie. Czy trzeba edytować regułę by działała dla inv 2012. Po uruchomieniu ruguły i przy jeje zapisie nie ma komunikatu o błędzie ale też brak rezultatu, czy może trzeba jeszcze zdefiniować inne parametry.

Przemyslaw Sokolowski

Skoro reguła nie zgłasza błędu to wszystko powinno być dobrze.
Proszę dodać na końcu reguły:

MessageBox.Show(Plik, "Title")

Teraz reguła wyświetli w oknie dialogowym ścieżkę i nazwę pliku. Proszę sprawdzić jak to wygląda. Może plik jest zapisywany w jakimś innym folderze, albo coś jest nie tak z nazwą pliku (numer części)

Michał

Dziękuję działa.

Józef Bułat

Wszystko ładnie działa dopóki nie umieścimy pliku .iam na Arkuszu.

Można wtedy wykluczyć sprawdzanie materiału jeśli plik nie ma rozszerzenia ipt ale co z konstrukcją spawaną?

I jeszcze kwestia techniczna: jak aktywować ostatnio otwarty (przed przelotem reguły) arkusz? ActiveSheet.Sheet.Number nie działa..

Przemyslaw Sokolowski

A próbowałeś:

Arkusze.Item(1).Activate

gdzie w nawiasie podajesz numer arkusza, który chcesz uaktywnić?

Przemyslaw Sokolowski

Moi drodzy reguła zapisująca rysunek pod nazwą numeru części modelu zawiera błąd. Poprawnie działająca reguła powinna mieć postać:

Arkusz=ThisDrawing.Document.Sheets.Item(1)
PNazwa=Arkusz.DrawingViews.Item(1).ReferencedFile.FullFileName

Pozycja=InStrRev(PNazwa,"\", -1)
NazwaModelu=Right(PNazwa,Len(PNazwa)-Pozycja)
Sciezka=Left(PNazwa,Pozycja)

NumerCzesci=iProperties.Value(NazwaModelu, "Project", "Part Number")

Plik=Sciezka & NumerCzesci & ".idw"

ThisDoc.Document.SaveAs(Plik, True)

The comments to this entry are closed.